name: release assets
on:
  push:
    tags:
      - v*
jobs:
  publish:
    runs-on: ubuntu-latest
    steps:
    - uses: actions/setup-go@v2
      with:
        go-version: '1.16'
    - uses: actions/checkout@v1
    - run: go mod download
    - run: make fmt
    - run: make tidy
    - run: |
          sudo apt-get update
          sudo apt-get install -y zip libnet1 libjansson4
    - run: make vet
    - run: make test-generate
    - run: make test-unit
    - run: make test-system
    - run: make test-pcapingest
    - run: make test-heavy
    - run: make create-release-assets
    - name: upload release assets
      uses: svenstaro/upload-release-action@1.1.0
      with:
        repo_token: ${{ secrets.GITHUB_TOKEN }}
        tag: ${{ github.ref }}
        file: dist/release/*
        file_glob: true
        overwrite: true
